Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 191217 - cups stop sending browse lists after reload
Summary: cups stop sending browse lists after reload
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-05-09 20:02 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.2.1-1.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-23 22:13:15 UTC


Attachments (Terms of Use)
cupsd.conf (deleted)
2006-05-15 19:59 UTC, Orion Poplawski
no flags Details

Description Orion Poplawski 2006-05-09 20:02:17 UTC
Description of problem:

After a reload of the cups server, it stops sending browse lists.  See the
following in the error log:

I [09/May/2006:14:01:19 -0600] Full reload is required.
I [09/May/2006:14:01:19 -0600] Saving job cache file "/var/cache/cups/job.cache"...
E [09/May/2006:14:01:19 -0600] cupsdSendBrowseList: sendto failed for browser 1
- Bad file descriptor.
I [09/May/2006:14:01:19 -0600] Loaded MIME database from '/etc/cups': 34 types,
38 filters...
I [09/May/2006:14:01:19 -0600] Loading job cache file "/var/cache/cups/job.cache"...
I [09/May/2006:14:01:19 -0600] Full reload complete.


Version-Release number of selected component (if applicable):
cups-1.2-0.4.1.rc3.1

How reproducible:
very.

Steps to Reproduce:
1. make change to cupsd.conf
2. service cups reload

Comment 1 Tim Waugh 2006-05-10 08:56:22 UTC
Confirmed on cups-1.2.0-1.1.

Comment 2 Tim Waugh 2006-05-10 09:23:34 UTC
Reported upstream:

  http://cups.org/str.php?L1670

Comment 3 Tim Waugh 2006-05-15 16:33:48 UTC
Actually I can't get it to happen any more. :-/

Comment 4 Orion Poplawski 2006-05-15 17:31:07 UTC
Still completely reproducible here.  Still running cups-1.2.0-1.1. 

Comment 5 Orion Poplawski 2006-05-15 19:59:07 UTC
Created attachment 129112 [details]
cupsd.conf

This is the cupsd.conf we use.	It is a little non-standard (sends browse
queries but does not accept any).

Comment 6 Orion Poplawski 2006-05-15 20:36:13 UTC
Watching cups during reload:

- main.c:631 -> cupsdStopServer -> cupsdStopBrowsing closes the browe socket and
sets BrowseSocket to -1.

- Here:
#0  0x00839ca3 in read_configuration (fp=0x9c614d8) at conf.c:2285
#1  0x0083c2f9 in cupsdReadConfiguration () at conf.c:456
#2  0x00843b6b in main (argc=1, argv=0xbfba49c4) at main.c:637

NumBrowsers gets set to 1

- Here:
#0  send_cups_browse (p=0x8e63fd0) at dirsvc.c:2608
#1  0x007d6d84 in cupsdDeletePrinter (p=0x8e63fd0, update=0) at printers.c:681
#2  0x007d6e7b in cupsdDeleteAllPrinters () at printers.c:571
#3  0x007b2c3a in cupsdReadConfiguration () at conf.c:938
#4  0x007b9b6b in main (argc=1, argv=0xbf9a6b64) at main.c:637

  NumBrowsers gets set to 0

- main.c:668 -> cupsdStartServer -> cupsdStartBrowsing sets BrowseSocket to 2,
reopened.


So, NumBrowsers gets left at 0 and no browsing.

- NumBrowsers gets set by read_configuration (conf.c:1998) 
  


Comment 7 Tim Waugh 2006-05-21 09:40:05 UTC
cups-1.2.0-1.3 (currently in updates-testing) contains the fix for this.

Comment 8 Orion Poplawski 2006-05-22 19:46:29 UTC
Confirmed it fixes the problem for me.  Thanks!

Comment 9 Fedora Update System 2006-05-23 18:39:56 UTC
Fixed in 1.2.1-1.2.


Note You need to log in before you can comment on or make changes to this bug.